For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all concessions
        • GETGet concession by ID
        • GETGet all floor plans
        • GETGet floor plan by ID
        • GETGet all units
        • GETGet a unit by ID
        • GETGet all unit types
        • GETGet unit type by ID
        • PUTUpdate Unit: Yardi - Not Supported
        • POSTCreate Unit: Yardi - Not Supported
        • POSTCreate Unit file: Yardi - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi (Legacy)Units

Get concession by ID

GET
/v1/concessions/:concession_id
GET
/v1/concessions/:concession_id
$curl https://api.propexo.com/v1/concessions/concession_id \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "clwktsp9v000008l31iv218hn",
13 "created_at": "2024-03-21T15:38:08.337Z",
14 "updated_at": "2024-03-22T10:59:45.119Z",
15 "last_seen": "2024-03-22T10:59:45.119Z",
16 "x_id": "34409-69091f04f1231f4dd7b937666c656b3ebf85903d14ac630430b50ff4026449d1",
17 "x_property_id": "greenbay",
18 "x_location_id": null,
19 "x_unit_id": "312441",
20 "x_floor_plan_id": "1bed1bath",
21 "total_amount_in_cents": null,
22 "start_date": null,
23 "end_date": null,
24 "is_active": true,
25 "description": "Unit type concession - Renewal",
26 "is_one_time": true,
27 "is_recurring": true,
28 "monthly_fixed_amount_in_cents": 15000,
29 "monthly_percentage_amount": 15,
30 "monthly_percentage_raw": null,
31 "one_time_fixed_amount_in_cents": 15000,
32 "one_time_percentage_amount": 15,
33 "one_time_percentage_raw": null,
34 "number_of_occurrences": 3,
35 "fixed_amount_in_cents": null,
36 "percentage_amount": null,
37 "percentage_raw": null,
38 "lease_term_in_months": 12,
39 "lease_term_raw": "12",
40 "concession_formula_raw": null,
41 "integration_id": "clwh5u07w000508me66sfh3um",
42 "integration_vendor": "YARDI",
43 "property_id": "clwi5xiix000008l6ctdgafyh",
44 "unit_id": "cm0406pu32914429249gt3y8z1uemttw",
45 "floor_plan_id": "cm0406pu32914429310aeby3p1vv9jqd"
46 }
47}
Get concession by ID
Was this page helpful?
Previous

Get all floor plans

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

concession_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error